##### posix::descriptor::descriptor (3 of 3 overloads)

Move-construct a descriptor from another.

    descriptor(
        descriptor && other);

This constructor moves a descriptor from one object to another.

###### Parameters

other

  The other descriptor object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `descriptor(io_context&) constructor`.